
//PRELOAD DE IMG
this.addEventListener("DOMContentLoaded", preloadImages, true);

var loadedImages = 0;
//ACA HAY QUE CARGAR LAS IMAGENES QUE SE USEN
var imageArray = new Array(
  'images/f1_background.jpg',
  'images/f1_emojis.png',
  'images/f1_txt_1.png',
  'images/f1_txt_2.png',
  'images/f1_txt_3.png',
  'images/f2_background.jpg',
  'images/f2_txt_1.png',
  'images/f2_txt_2.png',
  'images/f3_background.png',
  'images/f3_txt_1.png',
  'images/f3_hearts.png',
  'images/f3_cat.png',
  'images/f3_logo_1.png',
  'images/f3_cta.png',
  'images/f3_icons.png'
);

function preloadImages(e) {
  for (var i = 0; i < imageArray.length; i++) {
    var tempImage = new Image();
    tempImage.addEventListener("load", trackProgress, true);
    tempImage.src = imageArray[i];
  }
}

function trackProgress() {
  loadedImages++;
  if (loadedImages == imageArray.length) {
    imagesLoaded();
  }
}

function imagesLoaded() {

  document.getElementById('loader-container').style.display = 'none';
  document.getElementById('banner_content').style.display = 'block';


  initHandlers();
  initAnimations();

}

/* PARA DETECTAR SI ES IOs */
var is_Mac = navigator.platform.toUpperCase().indexOf('MAC') >= 0;
var iOS = /iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream;

if (is_Mac == true || iOS == true) {

}



/* PARA DETECTAR SI ES IE */
if (navigator.userAgent.indexOf('MSIE') !== -1
  || navigator.appVersion.indexOf('Trident/') > 0) {

  alert("IE");

}


// VARIABLES GLOBALES

function initAnimations() {
  var background_tl = new TimelineMax({ repeat: -1, yoyo: true });
  background_tl.from('.background_glow', 0.5, { opacity: 0, ease: Power2.easeInOut }, 0);

  var tl_ = new TimelineMax({ repeat: -1, repeatDelay: 1 });
  tl_
    .from('.emojis', 0.5, { opacity: 0, scale: 0.5, transformOrigin: '50% 50%', ease: Power1.easeOut }, 0.25)
    .staggerFrom('.f1_txt', 0.75, { opacity: 0, y: '+=10px', ease: Power1.easeOut }, 0.3, 0.4)

    .from('.f2_background', 0.5, { opacity: 0, ease: Power1.easeOut }, '+=2')
    .staggerFrom('.f2_txt', 0.75, { opacity: 0, y: '+=10px', ease: Power1.easeOut }, 0.3, '+=0.3')

    .from(['.f3_background', '.cat'], 0.75, { x: '-=300', ease: Power1.easeOut }, '+=2')
    .from('.icons', 0.5, { opacity: 0, ease: Power1.easeOut }, '+=0.3')
    .from('.hearts', 0.5, { opacity: 0, scale: 0.5, transformOrigin: '75% 25%', ease: Power1.easeOut }, '+=0.3')
    .staggerFrom('.logo_1', 0.75, { opacity: 0, y: '+=10px', ease: Power1.easeOut }, 0.3, '+=0.4')
    .staggerFrom(['.f3_txt', '.cta'], 0.75, { opacity: 0, y: '+=10', ease: Power2.easeInOut }, 0.2, '-=0.3')

    .set(['.f2 > div', '.emojis', '.f1_txt'], { opacity: 0 }, '-=0')
    .to('.f3 > div', 0.5, { opacity: 0, ease: Power2.easeOut }, '+=4')
}

//HANDLERS
function initHandlers() {

  var clicktag = document.getElementById('clickTag');
  clicktag.addEventListener('mouseup', function (event) {
    window.open(window.clickTag, '_blank');
  });
  clicktag.addEventListener('mouseover', function () {
    TweenMax.to('.cta', .25, { scale: 1.1 });
  });
  clicktag.addEventListener('mouseout', function () {
    TweenMax.to('.cta', .25, { scale: 1 });
  });
}

